Details
  • Last release: 3.5.4-1
  • 2 months ago

QMaven is a QPKG wrapper around Apache Maven. The current version requires any of QJDK7 to QJDK10 (also available via QNAPClub). The JRE package available via official QNAP Store is NOT compatible with Maven so it isn't supported, but it is at least tolerated if installed. This package is highly automatic and configurable, and offers some great features! For more information, please read through my GitHub page (open the "Tutorial" link above). Finally, if you like the work being done here, please consider staring the project on GitHub or donating via QNAP Club :).

Dependencies
  • QJDK7 >= 1.7.71 | QJDK8 >= 1.8.31 | QJDK9 >= 9.0.4 | QJDK10 >= 10.0.1

QTS
Requires QTS 4.1.0 or later

Models
TS-269H TS-ARM-X09 TS-ARM-X19 TS-NASARM TS-NASX86 TS-NASX86 64bits TS-X28 TS-X28A TS-X31 TS-X31U TS-X41
No older version